org.apache.cassandra.cql

## Class CreateIndexStatement

- java.lang.Object
- - org.apache.cassandra.cql.CreateIndexStatement

-     public class CreateIndexStatement
      extends java.lang.Object

  A `CREATE INDEX` statement parsed from a CQL query.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreateIndexStatement(java.lang.String indexName, java.lang.String columnFamily, Term columnName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getColumnFamily()` Column family namespace.
    `Term` | `getColumnName()` Column name to index.
    `java.lang.String` | `getIndexName()` Index name (or null).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CreateIndexStatement

          public CreateIndexStatement(java.lang.String indexName,
                              java.lang.String columnFamily,
                              Term columnName)

  - ### Method Detail

    - #### getColumnFamily

          public java.lang.String getColumnFamily()

      Column family namespace.

    - #### getColumnName

          public Term getColumnName()

      Column name to index.

    - #### getIndexName

          public java.lang.String getIndexName()

      Index name (or null).

Copyright © 2014 The Apache Software Foundation